Semarchy xDM Data Integration System requirements

Before installing Semarchy xDM Data Integration, you should review the system requirements and certifications to ensure that your environment meets these requirements.

Designer

This section details the system requirements for Semarchy xDI Designer.

Operating System

The following operating systems are supported for the Designer.

  • Windows 7, 8.1 and 10 - 64-bit

  • Linux 64-bit.

  • macOS 10.15 (Catalina), 11 (BigSur), 12 (Monterey)

  • Linux Windowing System: GTK+ 3.20.0 and all its dependencies are required on Linux environments.

  • Linux Display Server: X, also known as X11 or Xorg, is required (Wayland is not supported.)

Supported Java Versions

The Designer supports the following Java Runtime Environment (JRE) or Development Kit (JDK) versions (Open JDK and Oracle JDK):

  • Java 11 LTS (11.0.2 and above)

Java versions 8, 9, 10, 12 and above are not supported.

We recommend using on a 64-bit system a 64-bit JVM for better performances.

Hardware Requirements

The hardware requirements for a machine running Semarchy xDI Designer are:

  • Memory: At least 8Gb RAM

  • Disk Space: At least 600Mb of free disk space. Components may take extra space.

Runtime

This section details the system requirements for the Runtime.

Operating System

The Semarchy xDI Runtime can be installed on any system with a supported Java Virtual Machine

Supported Java Versions

The Runtime supports the following Java Runtime Environment (JRE) or Development Kit (JDK) versions (Open JDK and Oracle JDK):

  • Java 8 Update 161 and higher.

  • Java 11 (LTS)

Java versions 9, 10, 12 and above are not supported.

We recommend using on a 64-bit system a 64-bit JVM for better performances.

Certified Database Servers

The Runtime stores its logs and/or scheduler configuration in an internal H2 database, and can store them in a certified relational database. It requires at least 1Gb of storage in this database.

The Runtime is certified for the database engines and versions listed below.

Oracle

Oracle Express, Standard or Enterprise edition, running on-premises or in the cloud:

  • Oracle Database 12c Release 2: 12.2.0.1-12.2.1.0

  • Oracle Database 18c

  • Oracle Database 19c

  • Oracle versions listed above running on Amazon RDS.

PostgreSQL

PostgreSQL, running on premises or in the cloud:

  • PostgreSQL version 9.6.8 and above

  • PostgreSQL version 10: 10.x

  • PostgreSQL version 11: 11.x

  • PostgreSQL version 12: 12.x

  • PostgreSQL version 13: 13.x

  • PostgreSQL versions listed above running on Amazon RDS.

  • PostgreSQL versions listed above running on Azure DB for PostgreSQL.

  • Amazon Aurora PostgreSQL version 1.2 and above.

Microsoft SQL Server

Microsoft SQL Server, running on-premises or in the cloud:

  • Microsoft SQL Server 2017: v14.0

  • Microsoft SQL Server 2019: v15.0

  • Microsoft Azure SQL Database

MySQL

  • MySQL 5.7 and above

Hardware Requirements

The required memory, hard disk space and CPU depend on the integration flows executed by the Semarchy xDI Runtime. We recommend at least 80Mb of free disk space to install this component.

Analytics

This section details the system requirements for Semarchy xDI Production Analytics.

Supported Application Servers

The Semarchy xDI Production Analytics server runs as a Java application in a supported application server, on physical or virtual machines. It is certified with the following Apache Tomcat application server versions:

  • Apache Tomcat 8.5.x

  • Apache Tomcat 9.0.x

As a JEE web application, Analytics may alternately be installed in the following application servers:

  • Eclipse Jetty 9.4

  • Wildfly 10.x,11.x,12.x,13.x

Supported Java Versions

Semarchy xDI Production Analytics supports the following Java Runtime Environment (JRE) or Development Kit (JDK) versions (Open JDK and Oracle JDK):

  • Java 8 Update 161 and higher.

  • Java 11 (LTS)

Java versions 9, 10, 12 and above are not supported.

We recommend using on a 64-bit system a 64-bit JVM for better performances.

Certified Database Servers

Analytics stores its data in a relational database, and requires at least 1Gb of storage in this database. This number grows depending on the number of packages and version stored in the history.

Analytics is certified for the database engines and versions listed below.

Oracle

Oracle Express, Standard or Enterprise edition, running on-premises or in the cloud:

  • Oracle Database 12c Release 2: 12.2.0.1-12.2.1.0

  • Oracle Database 18c

  • Oracle Database 19c

  • Oracle versions listed above running on Amazon RDS.

PostgreSQL

PostgreSQL, running on premises or in the cloud:

  • PostgreSQL version 9.6.8 and above

  • PostgreSQL version 10: 10.x

  • PostgreSQL version 11: 11.x

  • PostgreSQL version 12: 12.x

  • PostgreSQL version 13: 13.x

  • PostgreSQL versions listed above running on Amazon RDS.

  • PostgreSQL versions listed above running on Azure DB for PostgreSQL.

  • Amazon Aurora PostgreSQL version 1.2 and above.

Microsoft SQL Server

Microsoft SQL Server, running on-premises or in the cloud:

  • Microsoft SQL Server 2017: v14.0

  • Microsoft SQL Server 2019: v15.0

  • Microsoft Azure SQL Database

MySQL

  • MySQL 5.7 and above

Hardware Requirements

Semarchy xDI Production Analytics requires least 500Mb of available disk space in the application server machine to deploy and run.

Supported Browsers

The browsers supported for the Analytics web user interfaces are listed below:

  • Google Chrome 68 and later (incl. Chrome for Android),

  • Firefox 61 and later, Firefox ESR 60 and later,

  • Microsoft Edge 42 and later,

  • Safari 11 and later (macOS and iOS).

Browser changes and automatic upgrades may introduce issues when working with Semarchy xDI Production Analytics. Please review the release notes for an updated list of known issues on a specific browser or version.

License Server

This section details the system requirements for the Semarchy xDI License Server.

Operating System

The License Server can be installed on any system with a supported Java Virtual Machine

Supported Java Versions

The License Server supports the following Java Runtime Environment (JRE) or Development Kit (JDK) versions (Open JDK and Oracle JDK):

  • Java 8 Update 161 and higher.

  • Java 11 (LTS)

Java versions 9, 10, 12 and above are not supported.

Hardware Requirements

The hardware requirements for a machine running the License Server are:

  • Memory: At least 1Gb RAM

  • Disk Space: At least 50Mb of free disk space.